# sf::SocketHelper Class Reference

This class defines helper functions to do all the non-portable socket stuff. More...

`#include <SocketHelper.hpp>`

List of all members.

## Public Types

typedef SOCKET | SocketType
typedef int | LengthType

## Static Public Member Functions

static SocketType | InvalidSocket ()
| Return the value of the invalid socket.
static bool | Close (SocketType Socket)
| Close / destroy a socket.
static void | SetBlocking (SocketType Socket, bool Block)
| Set a socket as blocking or non-blocking.
static Socket::Status | GetErrorStatus ()
| Get the last socket error status.

## Detailed Description

This class defines helper functions to do all the non-portable socket stuff.

This class is meant for internal use only

Definition at line 41 of file Win32/SocketHelper.hpp.

## Member Function Documentation

bool sf::SocketHelper::Close | ( | SocketHelper::SocketType | Socket | ) | `[static]`

Close / destroy a socket.

Parameters:

  | Socket | : Socket to close

Returns:
  True on success

Definition at line 45 of file SocketHelper.cpp.

Socket::Status sf::SocketHelper::GetErrorStatus | ( |  | ) | `[static]`

Get the last socket error status.

Returns:
  Status corresponding to the last socket error

Definition at line 64 of file SocketHelper.cpp.

SocketHelper::SocketType sf::SocketHelper::InvalidSocket | ( |  | ) | `[static]`

Return the value of the invalid socket.

Returns:
  Unique value of the invalid socket

Definition at line 36 of file SocketHelper.cpp.

void sf::SocketHelper::SetBlocking | ( | SocketHelper::SocketType | Socket,
|  | bool | Block |
| ) |  |  | `[static]`

Set a socket as blocking or non-blocking.

Parameters:

  | Socket | : Socket to modify
  | Block | : New blocking state of the socket

Definition at line 54 of file SocketHelper.cpp.

The documentation for this class was generated from the following files:

- Win32/SocketHelper.hpp
- SocketHelper.cpp